Frontity – Progressive Web Apps Themes with Google AMP 1.8.0

Does WordPress PWA work with WordPress 4.9.8 and PHP 7.0.16? A smoke test was performed on .

Summary

Errors
2PHP notices
48WordPress deprecation warnings
No JavaScript exceptions
All test pages loaded successfully
No resource errors
Performance

Memory usage: 107.65 KiB
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version4.9.8
PHP version7.0.16
MySQL version5.7.17
PHP memory limit256M
Plugin Info
Last updated
Active installs 30+
WordPress.org page https://wordpress.org/plugins/wp-pwa/
Badges

Get badge code

Pages 3

Plugins ‹ Test site — WordPress

Page screenshot: Plugins ‹ Test site — WordPress
URL /wp-admin/plugins.php?activate=true&plugin_status=all&paged=1&s=
Requested URL /wp-admin/plugins.php?action=activate&plugin=wp-pwa%2Fwp-pwa.php&plugin_status=all&paged=1&s&_wpnonce=04d9201928
Aspect after-activation
HTTP status 200 OK
Load time 0.113 s
Memory usage 3.15 MiB
JS errors None
Resource errors None

PWA

Page screenshot: PWA
URL /wp-admin/admin.php?page=wp-pwa-admin
Aspect menu-item
HTTP status 200 OK
Load time 0.070 s
Memory usage 3.22 MiB
JS errors None
Resource errors None

Test site – Just another WordPress site

Page screenshot: Test site – Just another WordPress site
URL /
Aspect front-page
HTTP status 200 OK
Load time 0.094 s
Memory usage 2.9 MiB
JS errors None
Resource errors None

Benchmark

URL Load time Memory usage
Inactive Active Change Inactive Active Change
/wp-admin/index.php0.153 s0.096 s-0.057 s3.12 MiB3.2 MiB+ 86.56 KiB
/wp-admin/edit.php0.102 s0.095 s-0.007 s3.14 MiB3.23 MiB+ 90.57 KiB
/wp-admin/post-new.php0.225 s0.165 s-0.060 s3.21 MiB3.31 MiB+ 97.12 KiB
/wp-admin/upload.php0.093 s0.127 s+0.034 s2.99 MiB3.07 MiB+ 90.44 KiB
/wp-admin/options-writing.php0.067 s0.091 s+0.024 s2.98 MiB3.06 MiB+ 90.44 KiB
/wp-admin/media-new.php0.048 s0.078 s+0.030 s2.97 MiB3.06 MiB+ 90.46 KiB
/wp-admin/edit-tags.php?taxonomy=category0.080 s0.094 s+0.014 s3.01 MiB3.16 MiB+ 154.46 KiB
/wp-admin/post-new.php?post_type=page0.168 s0.193 s+0.025 s3.22 MiB3.3 MiB+ 89.86 KiB
/wp-admin/options-discussion.php0.082 s0.083 s+0.001 s2.97 MiB3.06 MiB+ 90.44 KiB
/wp-admin/edit-comments.php0.085 s0.108 s+0.023 s3.01 MiB3.16 MiB+ 155.15 KiB
/0.088 s0.104 s+0.016 s2.76 MiB2.91 MiB+ 148.62 KiB
Average 0.108 s0.112 s+0.004 s3.03 MiB3.14 MiB+ 107.65 KiB

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

Options wp_options 1

PHP Error Log 50 lines

[19-Nov-2018 09:56:05 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:05 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:05 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:06 UTC] PHP Notice:  Undefined index: wp_pwa_api_fields in /wp-content/plugins/wp-pwa/admin/wp-pwa-admin-page.php on line 426
[19-Nov-2018 09:56:06 UTC] PHP Notice:  Undefined variable: api_fields_output in /wp-content/plugins/wp-pwa/admin/wp-pwa-admin-page.php on line 437
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:08 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:09 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:10 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
[19-Nov-2018 09:56:11 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 4045
See also: All tests for this plugin, How to Hide WordPress PWA Admin Menus